<?php

namespace Service\ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfCorsoFormazione ArrayType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:ArrayOfCorsoFormazione
 * @subpackage Arrays
 */
class ArrayOfCorsoFormazione extends AbstractStructArrayBase
{
    /**
     * The CorsoFormazione
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \Service\StructType\CorsoFormazione[]
     */
    public $CorsoFormazione;
    /**
     * Constructor method for ArrayOfCorsoFormazione
     * @uses ArrayOfCorsoFormazione::setCorsoFormazione()
     * @param \Service\StructType\CorsoFormazione[] $corsoFormazione
     */
    public function __construct(array $corsoFormazione = array())
    {
        $this
            ->setCorsoFormazione($corsoFormazione);
    }
    /**
     * Get CorsoFormazione value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \Service\StructType\CorsoFormazione[]|null
     */
    public function getCorsoFormazione()
    {
        return isset($this->CorsoFormazione) ? $this->CorsoFormazione : null;
    }
    /**
     * Set CorsoFormazione value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \Service\StructType\CorsoFormazione[] $corsoFormazione
     * @return \Service\ArrayType\ArrayOfCorsoFormazione
     */
    public function setCorsoFormazione(array $corsoFormazione = array())
    {
        if (is_null($corsoFormazione) || (is_array($corsoFormazione) && empty($corsoFormazione))) {
            unset($this->CorsoFormazione);
        } else {
            $this->CorsoFormazione = $corsoFormazione;
        }
        return $this;
    }
    /**
     * Add item to CorsoFormazione value
     * @throws \InvalidArgumentException
     * @param \Service\StructType\CorsoFormazione $item
     * @return \Service\ArrayType\ArrayOfCorsoFormazione
     */
    public function addToCorsoFormazione(\Service\StructType\CorsoFormazione $item)
    {
        $this->CorsoFormazione[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \Service\StructType\CorsoFormazione|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \Service\StructType\CorsoFormazione|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \Service\StructType\CorsoFormazione|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \Service\StructType\CorsoFormazione|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \Service\StructType\CorsoFormazione|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string CorsoFormazione
     */
    public function getAttributeName()
    {
        return 'CorsoFormazione';
    }
}
