<?php

namespace Service\ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfTipoRecapito ArrayType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:ArrayOfTipoRecapito
 * @subpackage Arrays
 */
class ArrayOfTipoRecapito extends AbstractStructArrayBase
{
    /**
     * The TipoRecapito
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \Service\StructType\TipoRecapito[]
     */
    public $TipoRecapito;
    /**
     * Constructor method for ArrayOfTipoRecapito
     * @uses ArrayOfTipoRecapito::setTipoRecapito()
     * @param \Service\StructType\TipoRecapito[] $tipoRecapito
     */
    public function __construct(array $tipoRecapito = array())
    {
        $this
            ->setTipoRecapito($tipoRecapito);
    }
    /**
     * Get TipoRecapito value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \Service\StructType\TipoRecapito[]|null
     */
    public function getTipoRecapito()
    {
        return isset($this->TipoRecapito) ? $this->TipoRecapito : null;
    }
    /**
     * Set TipoRecapito value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \Service\StructType\TipoRecapito[] $tipoRecapito
     * @return \Service\ArrayType\ArrayOfTipoRecapito
     */
    public function setTipoRecapito(array $tipoRecapito = array())
    {
        if (is_null($tipoRecapito) || (is_array($tipoRecapito) && empty($tipoRecapito))) {
            unset($this->TipoRecapito);
        } else {
            $this->TipoRecapito = $tipoRecapito;
        }
        return $this;
    }
    /**
     * Add item to TipoRecapito value
     * @throws \InvalidArgumentException
     * @param \Service\StructType\TipoRecapito $item
     * @return \Service\ArrayType\ArrayOfTipoRecapito
     */
    public function addToTipoRecapito(\Service\StructType\TipoRecapito $item)
    {
        $this->TipoRecapito[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \Service\StructType\TipoRecapito|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \Service\StructType\TipoRecapito|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \Service\StructType\TipoRecapito|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \Service\StructType\TipoRecapito|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \Service\StructType\TipoRecapito|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string TipoRecapito
     */
    public function getAttributeName()
    {
        return 'TipoRecapito';
    }
}
