<?php

namespace Service\ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfTurnoLite ArrayType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:ArrayOfTurnoLite
 * @subpackage Arrays
 */
class ArrayOfTurnoLite extends AbstractStructArrayBase
{
    /**
     * The TurnoLite
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \Service\StructType\TurnoLite[]
     */
    public $TurnoLite;
    /**
     * Constructor method for ArrayOfTurnoLite
     * @uses ArrayOfTurnoLite::setTurnoLite()
     * @param \Service\StructType\TurnoLite[] $turnoLite
     */
    public function __construct(array $turnoLite = array())
    {
        $this
            ->setTurnoLite($turnoLite);
    }
    /**
     * Get TurnoLite value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \Service\StructType\TurnoLite[]|null
     */
    public function getTurnoLite()
    {
        return isset($this->TurnoLite) ? $this->TurnoLite : null;
    }
    /**
     * Set TurnoLite value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \Service\StructType\TurnoLite[] $turnoLite
     * @return \Service\ArrayType\ArrayOfTurnoLite
     */
    public function setTurnoLite(array $turnoLite = array())
    {
        if (is_null($turnoLite) || (is_array($turnoLite) && empty($turnoLite))) {
            unset($this->TurnoLite);
        } else {
            $this->TurnoLite = $turnoLite;
        }
        return $this;
    }
    /**
     * Add item to TurnoLite value
     * @throws \InvalidArgumentException
     * @param \Service\StructType\TurnoLite $item
     * @return \Service\ArrayType\ArrayOfTurnoLite
     */
    public function addToTurnoLite(\Service\StructType\TurnoLite $item)
    {
        $this->TurnoLite[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \Service\StructType\TurnoLite|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \Service\StructType\TurnoLite|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \Service\StructType\TurnoLite|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \Service\StructType\TurnoLite|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \Service\StructType\TurnoLite|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string TurnoLite
     */
    public function getAttributeName()
    {
        return 'TurnoLite';
    }
}
