<?php

namespace Service\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for EPartecipante StructType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:EPartecipante
 * @subpackage Structs
 */
class EPartecipante extends Partecipante
{
    /**
     * The QualificaAutista
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var \Service\StructType\Qualifica
     */
    public $QualificaAutista;
    /**
     * The QualificaSanitaria
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var \Service\StructType\Qualifica
     */
    public $QualificaSanitaria;
    /**
     * Constructor method for EPartecipante
     * @uses EPartecipante::setQualificaAutista()
     * @uses EPartecipante::setQualificaSanitaria()
     * @param \Service\StructType\Qualifica $qualificaAutista
     * @param \Service\StructType\Qualifica $qualificaSanitaria
     */
    public function __construct(\Service\StructType\Qualifica $qualificaAutista = null, \Service\StructType\Qualifica $qualificaSanitaria = null)
    {
        $this
            ->setQualificaAutista($qualificaAutista)
            ->setQualificaSanitaria($qualificaSanitaria);
    }
    /**
     * Get QualificaAutista value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \Service\StructType\Qualifica|null
     */
    public function getQualificaAutista()
    {
        return isset($this->QualificaAutista) ? $this->QualificaAutista : null;
    }
    /**
     * Set QualificaAutista value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \Service\StructType\Qualifica $qualificaAutista
     * @return \Service\StructType\EPartecipante
     */
    public function setQualificaAutista(\Service\StructType\Qualifica $qualificaAutista = null)
    {
        if (is_null($qualificaAutista) || (is_array($qualificaAutista) && empty($qualificaAutista))) {
            unset($this->QualificaAutista);
        } else {
            $this->QualificaAutista = $qualificaAutista;
        }
        return $this;
    }
    /**
     * Get QualificaSanitaria value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \Service\StructType\Qualifica|null
     */
    public function getQualificaSanitaria()
    {
        return isset($this->QualificaSanitaria) ? $this->QualificaSanitaria : null;
    }
    /**
     * Set QualificaSanitaria value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \Service\StructType\Qualifica $qualificaSanitaria
     * @return \Service\StructType\EPartecipante
     */
    public function setQualificaSanitaria(\Service\StructType\Qualifica $qualificaSanitaria = null)
    {
        if (is_null($qualificaSanitaria) || (is_array($qualificaSanitaria) && empty($qualificaSanitaria))) {
            unset($this->QualificaSanitaria);
        } else {
            $this->QualificaSanitaria = $qualificaSanitaria;
        }
        return $this;
    }
}
