<?php

namespace Service\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for IntegrazioneCupSubito StructType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:IntegrazioneCupSubito
 * @subpackage Structs
 */
class IntegrazioneCupSubito extends AbstractStructBase
{
    /**
     * The Attiva
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var bool
     */
    public $Attiva;
    /**
     * The CodiceAssociazione
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $CodiceAssociazione;
    /**
     * Constructor method for IntegrazioneCupSubito
     * @uses IntegrazioneCupSubito::setAttiva()
     * @uses IntegrazioneCupSubito::setCodiceAssociazione()
     * @param bool $attiva
     * @param string $codiceAssociazione
     */
    public function __construct($attiva = null, $codiceAssociazione = null)
    {
        $this
            ->setAttiva($attiva)
            ->setCodiceAssociazione($codiceAssociazione);
    }
    /**
     * Get Attiva value
     * @return bool|null
     */
    public function getAttiva()
    {
        return $this->Attiva;
    }
    /**
     * Set Attiva value
     * @param bool $attiva
     * @return \Service\StructType\IntegrazioneCupSubito
     */
    public function setAttiva($attiva = null)
    {
        $this->Attiva = $attiva;
        return $this;
    }
    /**
     * Get CodiceAssociazione value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getCodiceAssociazione()
    {
        return isset($this->CodiceAssociazione) ? $this->CodiceAssociazione : null;
    }
    /**
     * Set CodiceAssociazione value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $codiceAssociazione
     * @return \Service\StructType\IntegrazioneCupSubito
     */
    public function setCodiceAssociazione($codiceAssociazione = null)
    {
        if (is_null($codiceAssociazione) || (is_array($codiceAssociazione) && empty($codiceAssociazione))) {
            unset($this->CodiceAssociazione);
        } else {
            $this->CodiceAssociazione = $codiceAssociazione;
        }
        return $this;
    }
}
