<?php

namespace Service\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for InviaPresenza_Result StructType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:InviaPresenza_Result
 * @subpackage Structs
 */
class InviaPresenza_Result extends AbstractStructBase
{
    /**
     * The Presenza
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var \Service\StructType\Presenza
     */
    public $Presenza;
    /**
     * The Result
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $Result;
    /**
     * The Result_Descr
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $Result_Descr;
    /**
     * Constructor method for InviaPresenza_Result
     * @uses InviaPresenza_Result::setPresenza()
     * @uses InviaPresenza_Result::setResult()
     * @uses InviaPresenza_Result::setResult_Descr()
     * @param \Service\StructType\Presenza $presenza
     * @param string $result
     * @param string $result_Descr
     */
    public function __construct(\Service\StructType\Presenza $presenza = null, $result = null, $result_Descr = null)
    {
        $this
            ->setPresenza($presenza)
            ->setResult($result)
            ->setResult_Descr($result_Descr);
    }
    /**
     * Get Presenza value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \Service\StructType\Presenza|null
     */
    public function getPresenza()
    {
        return isset($this->Presenza) ? $this->Presenza : null;
    }
    /**
     * Set Presenza value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \Service\StructType\Presenza $presenza
     * @return \Service\StructType\InviaPresenza_Result
     */
    public function setPresenza(\Service\StructType\Presenza $presenza = null)
    {
        if (is_null($presenza) || (is_array($presenza) && empty($presenza))) {
            unset($this->Presenza);
        } else {
            $this->Presenza = $presenza;
        }
        return $this;
    }
    /**
     * Get Result value
     * @return string|null
     */
    public function getResult()
    {
        return $this->Result;
    }
    /**
     * Set Result value
     * @param string $result
     * @return \Service\StructType\InviaPresenza_Result
     */
    public function setResult($result = null)
    {
        $this->Result = $result;
        return $this;
    }
    /**
     * Get Result_Descr value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getResult_Descr()
    {
        return isset($this->Result_Descr) ? $this->Result_Descr : null;
    }
    /**
     * Set Result_Descr value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $result_Descr
     * @return \Service\StructType\InviaPresenza_Result
     */
    public function setResult_Descr($result_Descr = null)
    {
        if (is_null($result_Descr) || (is_array($result_Descr) && empty($result_Descr))) {
            unset($this->Result_Descr);
        } else {
            $this->Result_Descr = $result_Descr;
        }
        return $this;
    }
}
