<?php

namespace Service\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for Privacy_Model StructType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:Privacy_Model
 * @subpackage Structs
 */
class Privacy_Model extends AbstractStructBase
{
    /**
     * The AnniScadenza
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $AnniScadenza;
    /**
     * The DataScadenza
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $DataScadenza;
    /**
     * The Descrizione
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $Descrizione;
    /**
     * The ID
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $ID;
    /**
     * The Obbligatoria
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var bool
     */
    public $Obbligatoria;
    /**
     * The TipoScadenza
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $TipoScadenza;
    /**
     * Constructor method for Privacy_Model
     * @uses Privacy_Model::setAnniScadenza()
     * @uses Privacy_Model::setDataScadenza()
     * @uses Privacy_Model::setDescrizione()
     * @uses Privacy_Model::setID()
     * @uses Privacy_Model::setObbligatoria()
     * @uses Privacy_Model::setTipoScadenza()
     * @param int $anniScadenza
     * @param string $dataScadenza
     * @param string $descrizione
     * @param int $iD
     * @param bool $obbligatoria
     * @param string $tipoScadenza
     */
    public function __construct($anniScadenza = null, $dataScadenza = null, $descrizione = null, $iD = null, $obbligatoria = null, $tipoScadenza = null)
    {
        $this
            ->setAnniScadenza($anniScadenza)
            ->setDataScadenza($dataScadenza)
            ->setDescrizione($descrizione)
            ->setID($iD)
            ->setObbligatoria($obbligatoria)
            ->setTipoScadenza($tipoScadenza);
    }
    /**
     * Get AnniScadenza value
     * @return int|null
     */
    public function getAnniScadenza()
    {
        return $this->AnniScadenza;
    }
    /**
     * Set AnniScadenza value
     * @param int $anniScadenza
     * @return \Service\StructType\Privacy_Model
     */
    public function setAnniScadenza($anniScadenza = null)
    {
        $this->AnniScadenza = $anniScadenza;
        return $this;
    }
    /**
     * Get DataScadenza value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getDataScadenza()
    {
        return isset($this->DataScadenza) ? $this->DataScadenza : null;
    }
    /**
     * Set DataScadenza value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $dataScadenza
     * @return \Service\StructType\Privacy_Model
     */
    public function setDataScadenza($dataScadenza = null)
    {
        if (is_null($dataScadenza) || (is_array($dataScadenza) && empty($dataScadenza))) {
            unset($this->DataScadenza);
        } else {
            $this->DataScadenza = $dataScadenza;
        }
        return $this;
    }
    /**
     * Get Descrizione value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getDescrizione()
    {
        return isset($this->Descrizione) ? $this->Descrizione : null;
    }
    /**
     * Set Descrizione value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $descrizione
     * @return \Service\StructType\Privacy_Model
     */
    public function setDescrizione($descrizione = null)
    {
        if (is_null($descrizione) || (is_array($descrizione) && empty($descrizione))) {
            unset($this->Descrizione);
        } else {
            $this->Descrizione = $descrizione;
        }
        return $this;
    }
    /**
     * Get ID value
     * @return int|null
     */
    public function getID()
    {
        return $this->ID;
    }
    /**
     * Set ID value
     * @param int $iD
     * @return \Service\StructType\Privacy_Model
     */
    public function setID($iD = null)
    {
        $this->ID = $iD;
        return $this;
    }
    /**
     * Get Obbligatoria value
     * @return bool|null
     */
    public function getObbligatoria()
    {
        return $this->Obbligatoria;
    }
    /**
     * Set Obbligatoria value
     * @param bool $obbligatoria
     * @return \Service\StructType\Privacy_Model
     */
    public function setObbligatoria($obbligatoria = null)
    {
        $this->Obbligatoria = $obbligatoria;
        return $this;
    }
    /**
     * Get TipoScadenza value
     * @return string|null
     */
    public function getTipoScadenza()
    {
        return $this->TipoScadenza;
    }
    /**
     * Set TipoScadenza value
     * @param string $tipoScadenza
     * @return \Service\StructType\Privacy_Model
     */
    public function setTipoScadenza($tipoScadenza = null)
    {
        $this->TipoScadenza = $tipoScadenza;
        return $this;
    }
}
