<?php

namespace Service\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for Sezione StructType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:Sezione
 * @subpackage Structs
 */
class Sezione extends AbstractStructBase
{
    /**
     * The Coordinate
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \Service\StructType\Coordinate
     */
    public $Coordinate;
    /**
     * The Descrizione
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $Descrizione;
    /**
     * The DistanzaMinimaPresenza
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $DistanzaMinimaPresenza;
    /**
     * The GruppiTurni
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var \Service\ArrayType\ArrayOfGruppoTurni
     */
    public $GruppiTurni;
    /**
     * The ID
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $ID;
    /**
     * The Predefinito
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var bool
     */
    public $Predefinito;
    /**
     * Constructor method for Sezione
     * @uses Sezione::setCoordinate()
     * @uses Sezione::setDescrizione()
     * @uses Sezione::setDistanzaMinimaPresenza()
     * @uses Sezione::setGruppiTurni()
     * @uses Sezione::setID()
     * @uses Sezione::setPredefinito()
     * @param \Service\StructType\Coordinate $coordinate
     * @param string $descrizione
     * @param int $distanzaMinimaPresenza
     * @param \Service\ArrayType\ArrayOfGruppoTurni $gruppiTurni
     * @param string $iD
     * @param bool $predefinito
     */
    public function __construct(\Service\StructType\Coordinate $coordinate = null, $descrizione = null, $distanzaMinimaPresenza = null, \Service\ArrayType\ArrayOfGruppoTurni $gruppiTurni = null, $iD = null, $predefinito = null)
    {
        $this
            ->setCoordinate($coordinate)
            ->setDescrizione($descrizione)
            ->setDistanzaMinimaPresenza($distanzaMinimaPresenza)
            ->setGruppiTurni($gruppiTurni)
            ->setID($iD)
            ->setPredefinito($predefinito);
    }
    /**
     * Get Coordinate value
     * @return \Service\StructType\Coordinate|null
     */
    public function getCoordinate()
    {
        return $this->Coordinate;
    }
    /**
     * Set Coordinate value
     * @param \Service\StructType\Coordinate $coordinate
     * @return \Service\StructType\Sezione
     */
    public function setCoordinate(\Service\StructType\Coordinate $coordinate = null)
    {
        $this->Coordinate = $coordinate;
        return $this;
    }
    /**
     * Get Descrizione value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getDescrizione()
    {
        return isset($this->Descrizione) ? $this->Descrizione : null;
    }
    /**
     * Set Descrizione value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $descrizione
     * @return \Service\StructType\Sezione
     */
    public function setDescrizione($descrizione = null)
    {
        if (is_null($descrizione) || (is_array($descrizione) && empty($descrizione))) {
            unset($this->Descrizione);
        } else {
            $this->Descrizione = $descrizione;
        }
        return $this;
    }
    /**
     * Get DistanzaMinimaPresenza value
     * @return int|null
     */
    public function getDistanzaMinimaPresenza()
    {
        return $this->DistanzaMinimaPresenza;
    }
    /**
     * Set DistanzaMinimaPresenza value
     * @param int $distanzaMinimaPresenza
     * @return \Service\StructType\Sezione
     */
    public function setDistanzaMinimaPresenza($distanzaMinimaPresenza = null)
    {
        $this->DistanzaMinimaPresenza = $distanzaMinimaPresenza;
        return $this;
    }
    /**
     * Get GruppiTurni value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \Service\ArrayType\ArrayOfGruppoTurni|null
     */
    public function getGruppiTurni()
    {
        return isset($this->GruppiTurni) ? $this->GruppiTurni : null;
    }
    /**
     * Set GruppiTurni value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \Service\ArrayType\ArrayOfGruppoTurni $gruppiTurni
     * @return \Service\StructType\Sezione
     */
    public function setGruppiTurni(\Service\ArrayType\ArrayOfGruppoTurni $gruppiTurni = null)
    {
        if (is_null($gruppiTurni) || (is_array($gruppiTurni) && empty($gruppiTurni))) {
            unset($this->GruppiTurni);
        } else {
            $this->GruppiTurni = $gruppiTurni;
        }
        return $this;
    }
    /**
     * Get ID value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getID()
    {
        return isset($this->ID) ? $this->ID : null;
    }
    /**
     * Set ID value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $iD
     * @return \Service\StructType\Sezione
     */
    public function setID($iD = null)
    {
        if (is_null($iD) || (is_array($iD) && empty($iD))) {
            unset($this->ID);
        } else {
            $this->ID = $iD;
        }
        return $this;
    }
    /**
     * Get Predefinito value
     * @return bool|null
     */
    public function getPredefinito()
    {
        return $this->Predefinito;
    }
    /**
     * Set Predefinito value
     * @param bool $predefinito
     * @return \Service\StructType\Sezione
     */
    public function setPredefinito($predefinito = null)
    {
        $this->Predefinito = $predefinito;
        return $this;
    }
}
