<?php

namespace Service\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for Turno StructType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:Turno
 * @subpackage Structs
 */
class Turno extends AbstractStructBase
{
    /**
     * The AbilitaInserimentoOrario
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var bool
     */
    public $AbilitaInserimentoOrario;
    /**
     * The Attivita
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var \Service\ArrayType\ArrayOfTAttivita
     */
    public $Attivita;
    /**
     * The Cancellabile
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var bool
     */
    public $Cancellabile;
    /**
     * The CancellabileOre
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $CancellabileOre;
    /**
     * The ConsentiSoloAttivitaRichieste
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var bool
     */
    public $ConsentiSoloAttivitaRichieste;
    /**
     * The Descrizione
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $Descrizione;
    /**
     * The Etichetta
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $Etichetta;
    /**
     * The EvidenziaMinorenni
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var bool
     */
    public $EvidenziaMinorenni;
    /**
     * The EvidenziaResponsabili
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var bool
     */
    public $EvidenziaResponsabili;
    /**
     * The ID
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $ID;
    /**
     * The IDTestata
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $IDTestata;
    /**
     * The Mezzo
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \Service\StructType\Mezzo
     */
    public $Mezzo;
    /**
     * The MostraEtichette
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var bool
     */
    public $MostraEtichette;
    /**
     * The MostraQualificheOperatore
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var bool
     */
    public $MostraQualificheOperatore;
    /**
     * The NumMaxPersonale
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $NumMaxPersonale;
    /**
     * The NumMinPersonale
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $NumMinPersonale;
    /**
     * The OraFineTurno
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $OraFineTurno;
    /**
     * The OraInizioTurno
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $OraInizioTurno;
    /**
     * The Qualifiche
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var \Service\ArrayType\ArrayOfTurno_Qualifica
     */
    public $Qualifiche;
    /**
     * The StatoOperativo
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $StatoOperativo;
    /**
     * Constructor method for Turno
     * @uses Turno::setAbilitaInserimentoOrario()
     * @uses Turno::setAttivita()
     * @uses Turno::setCancellabile()
     * @uses Turno::setCancellabileOre()
     * @uses Turno::setConsentiSoloAttivitaRichieste()
     * @uses Turno::setDescrizione()
     * @uses Turno::setEtichetta()
     * @uses Turno::setEvidenziaMinorenni()
     * @uses Turno::setEvidenziaResponsabili()
     * @uses Turno::setID()
     * @uses Turno::setIDTestata()
     * @uses Turno::setMezzo()
     * @uses Turno::setMostraEtichette()
     * @uses Turno::setMostraQualificheOperatore()
     * @uses Turno::setNumMaxPersonale()
     * @uses Turno::setNumMinPersonale()
     * @uses Turno::setOraFineTurno()
     * @uses Turno::setOraInizioTurno()
     * @uses Turno::setQualifiche()
     * @uses Turno::setStatoOperativo()
     * @param bool $abilitaInserimentoOrario
     * @param \Service\ArrayType\ArrayOfTAttivita $attivita
     * @param bool $cancellabile
     * @param int $cancellabileOre
     * @param bool $consentiSoloAttivitaRichieste
     * @param string $descrizione
     * @param string $etichetta
     * @param bool $evidenziaMinorenni
     * @param bool $evidenziaResponsabili
     * @param int $iD
     * @param int $iDTestata
     * @param \Service\StructType\Mezzo $mezzo
     * @param bool $mostraEtichette
     * @param bool $mostraQualificheOperatore
     * @param int $numMaxPersonale
     * @param int $numMinPersonale
     * @param string $oraFineTurno
     * @param string $oraInizioTurno
     * @param \Service\ArrayType\ArrayOfTurno_Qualifica $qualifiche
     * @param string $statoOperativo
     */
    public function __construct($abilitaInserimentoOrario = null, \Service\ArrayType\ArrayOfTAttivita $attivita = null, $cancellabile = null, $cancellabileOre = null, $consentiSoloAttivitaRichieste = null, $descrizione = null, $etichetta = null, $evidenziaMinorenni = null, $evidenziaResponsabili = null, $iD = null, $iDTestata = null, \Service\StructType\Mezzo $mezzo = null, $mostraEtichette = null, $mostraQualificheOperatore = null, $numMaxPersonale = null, $numMinPersonale = null, $oraFineTurno = null, $oraInizioTurno = null, \Service\ArrayType\ArrayOfTurno_Qualifica $qualifiche = null, $statoOperativo = null)
    {
        $this
            ->setAbilitaInserimentoOrario($abilitaInserimentoOrario)
            ->setAttivita($attivita)
            ->setCancellabile($cancellabile)
            ->setCancellabileOre($cancellabileOre)
            ->setConsentiSoloAttivitaRichieste($consentiSoloAttivitaRichieste)
            ->setDescrizione($descrizione)
            ->setEtichetta($etichetta)
            ->setEvidenziaMinorenni($evidenziaMinorenni)
            ->setEvidenziaResponsabili($evidenziaResponsabili)
            ->setID($iD)
            ->setIDTestata($iDTestata)
            ->setMezzo($mezzo)
            ->setMostraEtichette($mostraEtichette)
            ->setMostraQualificheOperatore($mostraQualificheOperatore)
            ->setNumMaxPersonale($numMaxPersonale)
            ->setNumMinPersonale($numMinPersonale)
            ->setOraFineTurno($oraFineTurno)
            ->setOraInizioTurno($oraInizioTurno)
            ->setQualifiche($qualifiche)
            ->setStatoOperativo($statoOperativo);
    }
    /**
     * Get AbilitaInserimentoOrario value
     * @return bool|null
     */
    public function getAbilitaInserimentoOrario()
    {
        return $this->AbilitaInserimentoOrario;
    }
    /**
     * Set AbilitaInserimentoOrario value
     * @param bool $abilitaInserimentoOrario
     * @return \Service\StructType\Turno
     */
    public function setAbilitaInserimentoOrario($abilitaInserimentoOrario = null)
    {
        $this->AbilitaInserimentoOrario = $abilitaInserimentoOrario;
        return $this;
    }
    /**
     * Get Attivita value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \Service\ArrayType\ArrayOfTAttivita|null
     */
    public function getAttivita()
    {
        return isset($this->Attivita) ? $this->Attivita : null;
    }
    /**
     * Set Attivita value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \Service\ArrayType\ArrayOfTAttivita $attivita
     * @return \Service\StructType\Turno
     */
    public function setAttivita(\Service\ArrayType\ArrayOfTAttivita $attivita = null)
    {
        if (is_null($attivita) || (is_array($attivita) && empty($attivita))) {
            unset($this->Attivita);
        } else {
            $this->Attivita = $attivita;
        }
        return $this;
    }
    /**
     * Get Cancellabile value
     * @return bool|null
     */
    public function getCancellabile()
    {
        return $this->Cancellabile;
    }
    /**
     * Set Cancellabile value
     * @param bool $cancellabile
     * @return \Service\StructType\Turno
     */
    public function setCancellabile($cancellabile = null)
    {
        $this->Cancellabile = $cancellabile;
        return $this;
    }
    /**
     * Get CancellabileOre value
     * @return int|null
     */
    public function getCancellabileOre()
    {
        return $this->CancellabileOre;
    }
    /**
     * Set CancellabileOre value
     * @param int $cancellabileOre
     * @return \Service\StructType\Turno
     */
    public function setCancellabileOre($cancellabileOre = null)
    {
        $this->CancellabileOre = $cancellabileOre;
        return $this;
    }
    /**
     * Get ConsentiSoloAttivitaRichieste value
     * @return bool|null
     */
    public function getConsentiSoloAttivitaRichieste()
    {
        return $this->ConsentiSoloAttivitaRichieste;
    }
    /**
     * Set ConsentiSoloAttivitaRichieste value
     * @param bool $consentiSoloAttivitaRichieste
     * @return \Service\StructType\Turno
     */
    public function setConsentiSoloAttivitaRichieste($consentiSoloAttivitaRichieste = null)
    {
        $this->ConsentiSoloAttivitaRichieste = $consentiSoloAttivitaRichieste;
        return $this;
    }
    /**
     * Get Descrizione value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getDescrizione()
    {
        return isset($this->Descrizione) ? $this->Descrizione : null;
    }
    /**
     * Set Descrizione value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $descrizione
     * @return \Service\StructType\Turno
     */
    public function setDescrizione($descrizione = null)
    {
        if (is_null($descrizione) || (is_array($descrizione) && empty($descrizione))) {
            unset($this->Descrizione);
        } else {
            $this->Descrizione = $descrizione;
        }
        return $this;
    }
    /**
     * Get Etichetta value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getEtichetta()
    {
        return isset($this->Etichetta) ? $this->Etichetta : null;
    }
    /**
     * Set Etichetta value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $etichetta
     * @return \Service\StructType\Turno
     */
    public function setEtichetta($etichetta = null)
    {
        if (is_null($etichetta) || (is_array($etichetta) && empty($etichetta))) {
            unset($this->Etichetta);
        } else {
            $this->Etichetta = $etichetta;
        }
        return $this;
    }
    /**
     * Get EvidenziaMinorenni value
     * @return bool|null
     */
    public function getEvidenziaMinorenni()
    {
        return $this->EvidenziaMinorenni;
    }
    /**
     * Set EvidenziaMinorenni value
     * @param bool $evidenziaMinorenni
     * @return \Service\StructType\Turno
     */
    public function setEvidenziaMinorenni($evidenziaMinorenni = null)
    {
        $this->EvidenziaMinorenni = $evidenziaMinorenni;
        return $this;
    }
    /**
     * Get EvidenziaResponsabili value
     * @return bool|null
     */
    public function getEvidenziaResponsabili()
    {
        return $this->EvidenziaResponsabili;
    }
    /**
     * Set EvidenziaResponsabili value
     * @param bool $evidenziaResponsabili
     * @return \Service\StructType\Turno
     */
    public function setEvidenziaResponsabili($evidenziaResponsabili = null)
    {
        $this->EvidenziaResponsabili = $evidenziaResponsabili;
        return $this;
    }
    /**
     * Get ID value
     * @return int|null
     */
    public function getID()
    {
        return $this->ID;
    }
    /**
     * Set ID value
     * @param int $iD
     * @return \Service\StructType\Turno
     */
    public function setID($iD = null)
    {
        $this->ID = $iD;
        return $this;
    }
    /**
     * Get IDTestata value
     * @return int|null
     */
    public function getIDTestata()
    {
        return $this->IDTestata;
    }
    /**
     * Set IDTestata value
     * @param int $iDTestata
     * @return \Service\StructType\Turno
     */
    public function setIDTestata($iDTestata = null)
    {
        $this->IDTestata = $iDTestata;
        return $this;
    }
    /**
     * Get Mezzo value
     * @return \Service\StructType\Mezzo|null
     */
    public function getMezzo()
    {
        return $this->Mezzo;
    }
    /**
     * Set Mezzo value
     * @param \Service\StructType\Mezzo $mezzo
     * @return \Service\StructType\Turno
     */
    public function setMezzo(\Service\StructType\Mezzo $mezzo = null)
    {
        $this->Mezzo = $mezzo;
        return $this;
    }
    /**
     * Get MostraEtichette value
     * @return bool|null
     */
    public function getMostraEtichette()
    {
        return $this->MostraEtichette;
    }
    /**
     * Set MostraEtichette value
     * @param bool $mostraEtichette
     * @return \Service\StructType\Turno
     */
    public function setMostraEtichette($mostraEtichette = null)
    {
        $this->MostraEtichette = $mostraEtichette;
        return $this;
    }
    /**
     * Get MostraQualificheOperatore value
     * @return bool|null
     */
    public function getMostraQualificheOperatore()
    {
        return $this->MostraQualificheOperatore;
    }
    /**
     * Set MostraQualificheOperatore value
     * @param bool $mostraQualificheOperatore
     * @return \Service\StructType\Turno
     */
    public function setMostraQualificheOperatore($mostraQualificheOperatore = null)
    {
        $this->MostraQualificheOperatore = $mostraQualificheOperatore;
        return $this;
    }
    /**
     * Get NumMaxPersonale value
     * @return int|null
     */
    public function getNumMaxPersonale()
    {
        return $this->NumMaxPersonale;
    }
    /**
     * Set NumMaxPersonale value
     * @param int $numMaxPersonale
     * @return \Service\StructType\Turno
     */
    public function setNumMaxPersonale($numMaxPersonale = null)
    {
        $this->NumMaxPersonale = $numMaxPersonale;
        return $this;
    }
    /**
     * Get NumMinPersonale value
     * @return int|null
     */
    public function getNumMinPersonale()
    {
        return $this->NumMinPersonale;
    }
    /**
     * Set NumMinPersonale value
     * @param int $numMinPersonale
     * @return \Service\StructType\Turno
     */
    public function setNumMinPersonale($numMinPersonale = null)
    {
        $this->NumMinPersonale = $numMinPersonale;
        return $this;
    }
    /**
     * Get OraFineTurno value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getOraFineTurno()
    {
        return isset($this->OraFineTurno) ? $this->OraFineTurno : null;
    }
    /**
     * Set OraFineTurno value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $oraFineTurno
     * @return \Service\StructType\Turno
     */
    public function setOraFineTurno($oraFineTurno = null)
    {
        if (is_null($oraFineTurno) || (is_array($oraFineTurno) && empty($oraFineTurno))) {
            unset($this->OraFineTurno);
        } else {
            $this->OraFineTurno = $oraFineTurno;
        }
        return $this;
    }
    /**
     * Get OraInizioTurno value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getOraInizioTurno()
    {
        return isset($this->OraInizioTurno) ? $this->OraInizioTurno : null;
    }
    /**
     * Set OraInizioTurno value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $oraInizioTurno
     * @return \Service\StructType\Turno
     */
    public function setOraInizioTurno($oraInizioTurno = null)
    {
        if (is_null($oraInizioTurno) || (is_array($oraInizioTurno) && empty($oraInizioTurno))) {
            unset($this->OraInizioTurno);
        } else {
            $this->OraInizioTurno = $oraInizioTurno;
        }
        return $this;
    }
    /**
     * Get Qualifiche value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \Service\ArrayType\ArrayOfTurno_Qualifica|null
     */
    public function getQualifiche()
    {
        return isset($this->Qualifiche) ? $this->Qualifiche : null;
    }
    /**
     * Set Qualifiche value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \Service\ArrayType\ArrayOfTurno_Qualifica $qualifiche
     * @return \Service\StructType\Turno
     */
    public function setQualifiche(\Service\ArrayType\ArrayOfTurno_Qualifica $qualifiche = null)
    {
        if (is_null($qualifiche) || (is_array($qualifiche) && empty($qualifiche))) {
            unset($this->Qualifiche);
        } else {
            $this->Qualifiche = $qualifiche;
        }
        return $this;
    }
    /**
     * Get StatoOperativo value
     * @return string|null
     */
    public function getStatoOperativo()
    {
        return $this->StatoOperativo;
    }
    /**
     * Set StatoOperativo value
     * @param string $statoOperativo
     * @return \Service\StructType\Turno
     */
    public function setStatoOperativo($statoOperativo = null)
    {
        $this->StatoOperativo = $statoOperativo;
        return $this;
    }
}
