<?php

namespace Service\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for TurnoLite StructType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:TurnoLite
 * @subpackage Structs
 */
class TurnoLite extends AbstractStructBase
{
    /**
     * The Data
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $Data;
    /**
     * The Descrizione
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $Descrizione;
    /**
     * The ID
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $ID;
    /**
     * The IDModello
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $IDModello;
    /**
     * The OraFine
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $OraFine;
    /**
     * The OraInizio
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $OraInizio;
    /**
     * The StatoOperativo
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $StatoOperativo;
    /**
     * Constructor method for TurnoLite
     * @uses TurnoLite::setData()
     * @uses TurnoLite::setDescrizione()
     * @uses TurnoLite::setID()
     * @uses TurnoLite::setIDModello()
     * @uses TurnoLite::setOraFine()
     * @uses TurnoLite::setOraInizio()
     * @uses TurnoLite::setStatoOperativo()
     * @param string $data
     * @param string $descrizione
     * @param int $iD
     * @param int $iDModello
     * @param string $oraFine
     * @param string $oraInizio
     * @param string $statoOperativo
     */
    public function __construct($data = null, $descrizione = null, $iD = null, $iDModello = null, $oraFine = null, $oraInizio = null, $statoOperativo = null)
    {
        $this
            ->setData($data)
            ->setDescrizione($descrizione)
            ->setID($iD)
            ->setIDModello($iDModello)
            ->setOraFine($oraFine)
            ->setOraInizio($oraInizio)
            ->setStatoOperativo($statoOperativo);
    }
    /**
     * Get Data value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getData()
    {
        return isset($this->Data) ? $this->Data : null;
    }
    /**
     * Set Data value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $data
     * @return \Service\StructType\TurnoLite
     */
    public function setData($data = null)
    {
        if (is_null($data) || (is_array($data) && empty($data))) {
            unset($this->Data);
        } else {
            $this->Data = $data;
        }
        return $this;
    }
    /**
     * Get Descrizione value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getDescrizione()
    {
        return isset($this->Descrizione) ? $this->Descrizione : null;
    }
    /**
     * Set Descrizione value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $descrizione
     * @return \Service\StructType\TurnoLite
     */
    public function setDescrizione($descrizione = null)
    {
        if (is_null($descrizione) || (is_array($descrizione) && empty($descrizione))) {
            unset($this->Descrizione);
        } else {
            $this->Descrizione = $descrizione;
        }
        return $this;
    }
    /**
     * Get ID value
     * @return int|null
     */
    public function getID()
    {
        return $this->ID;
    }
    /**
     * Set ID value
     * @param int $iD
     * @return \Service\StructType\TurnoLite
     */
    public function setID($iD = null)
    {
        $this->ID = $iD;
        return $this;
    }
    /**
     * Get IDModello value
     * @return int|null
     */
    public function getIDModello()
    {
        return $this->IDModello;
    }
    /**
     * Set IDModello value
     * @param int $iDModello
     * @return \Service\StructType\TurnoLite
     */
    public function setIDModello($iDModello = null)
    {
        $this->IDModello = $iDModello;
        return $this;
    }
    /**
     * Get OraFine value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getOraFine()
    {
        return isset($this->OraFine) ? $this->OraFine : null;
    }
    /**
     * Set OraFine value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $oraFine
     * @return \Service\StructType\TurnoLite
     */
    public function setOraFine($oraFine = null)
    {
        if (is_null($oraFine) || (is_array($oraFine) && empty($oraFine))) {
            unset($this->OraFine);
        } else {
            $this->OraFine = $oraFine;
        }
        return $this;
    }
    /**
     * Get OraInizio value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getOraInizio()
    {
        return isset($this->OraInizio) ? $this->OraInizio : null;
    }
    /**
     * Set OraInizio value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $oraInizio
     * @return \Service\StructType\TurnoLite
     */
    public function setOraInizio($oraInizio = null)
    {
        if (is_null($oraInizio) || (is_array($oraInizio) && empty($oraInizio))) {
            unset($this->OraInizio);
        } else {
            $this->OraInizio = $oraInizio;
        }
        return $this;
    }
    /**
     * Get StatoOperativo value
     * @return string|null
     */
    public function getStatoOperativo()
    {
        return $this->StatoOperativo;
    }
    /**
     * Set StatoOperativo value
     * @param string $statoOperativo
     * @return \Service\StructType\TurnoLite
     */
    public function setStatoOperativo($statoOperativo = null)
    {
        $this->StatoOperativo = $statoOperativo;
        return $this;
    }
}
